sipomatic(1)

NAME

sipomatic - SIP auto-responder from the linphone project.

SYNTAX

sipomatic [-u] <sip-url> [-f] <annouce-file> [-s] <send-port>

sipomatic -v
sipomatic --version

sipomatic -h
sipomatic --help

DESCRIPTION

Sipomatic is primilarly a test tool for linphone. It waits for incoming sip calls, and answer to them by playing a wav sound file on disk. The sended stream is encoded using the preferred codec of the calling sip-phone.
The default address of sipomatic is <sip:robot@127.0.0.1:5064> It can be overriden with the -u option.
The default annouce file 'hello.wav' can be overriden with the -f option.
If you attempt to run several sipomatic on the same machine, then you will require the -s option to specify explicitely the UDP port used by sipomatic to send its SIP messages.

OPTIONS

-u <url>
    Set the sip url sipomatic listens to. The host part of address MUST always be a numerical ip address. The default url is sip:robot@127.0.0.1:5064 .

-f <annouce-file>
    Specifies a 8000Hz 16 bits wav file to be played to the calling users. Default is usually /usr/share/sounds/linphone/hello.wav.

-s <send-port>
    Specifies explicitely the udp port number to be used to send SIP messages.

-v  --version Output version information and exits.

-h  --help Output help information and exits.

FILES

/usr/share/sounds/linphone/hello.raw
    This is the file that sipomatic plays by default to the calling phones. The format of this file is a 8000 Hz 16 bit wav file.

ENVIRONMENT VARIABLES

SIPOMATIC_URL
    Specifies the address sipomatic listens to. By default it is <sip:robot@127.0.0.1:5064> .

EXAMPLES

AUTHORS

Simon MORLAT <simon.morlat@linphone.org>

SEE ALSO

linphone(1) linphonec(1)